<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 07일 일요일 오후 15시 47분 / 맑음, 23.0, 일교차 주의, 22, 6, 0%, 0%, 1.3ms / 나쁨, 58, 34, 0.008

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 지역 관리 > 삭제하기 > 처리하기
=====================================================================


*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'w');

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'region.smallint.2.lib.php') );

  $region_n = save__str($_POST['region_n']);

  $region_n = (int)$region_n;

  IF ( !$region_n )
  {
      alert ("필요한 지역번호가 전달되지 않았습니다.");
  }

  $sql_select  = "SELECT * FROM `". $piree['region'] ."` ";
  $sql_select .= "WHERE `region_n` = '". $region_n ."'";
  $region_row = sql_fetch($sql_select);

  IF ( $region_n != $region_row['region_n'] )
  {
      alert ("DB에 지역정보가 없습니다.");
  }

  IF ( !$region_row['region_l_s'] )
  {
      alert ("필요한 지역정보가 없습니다.");
  }

  IF ( $region_row['region_sub_t'] > 0 )
  {
      alert ("하위 지역이 ". number_format($region_row['region_sub_t']) ."개 있습니다.\\n\\n하위지역을 모두 삭제후에 삭제시도해 주세요.");
  }

      $sql_delete  = "DELETE FROM `". $piree['region'] ."` ";
      $sql_delete .= "WHERE `region_n` = '". $region_n ."'";

      IF ( !sql_query($sql_delete) )
      {

          alert ("[ ". $region_row['region_s'] ." ]지역을 삭제하지 못했습니다.");
      }

      $region_i_a = get_region_upper_smallint2($region_n);

      get_sub_region_count_depth_smallint2($region_i_a, $region_n);

  $go_url_s = "region.list.php";

  goto_url($go_url_s);
  EXIT;

?>